summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author byteframe2011-10-04 08:14:25 +0200
committer Robby Workman2011-10-12 04:20:27 +0200
commit47bc41085148dc39f82858633a2f35b08d6bc36c (patch)
tree10984e1c9fdd948e105b6d4faad3351508fd3bb4 /academic
parent72f712cb54ed3401c45b39669bb6968b17dcc9b6 (diff)
downloadslackbuilds-47bc41085148dc39f82858633a2f35b08d6bc36c.tar.gz
academic/gcalctool: Added (a graphical UNIX calculator)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/gcalctool/README2
-rw-r--r--academic/gcalctool/doinst.sh15
-rw-r--r--academic/gcalctool/gcalctool.SlackBuild102
-rw-r--r--academic/gcalctool/gcalctool.info10
-rw-r--r--academic/gcalctool/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/academic/gcalctool/README b/academic/gcalctool/README
new file mode 100644
index 0000000000..553bf34f98
--- /dev/null
+++ b/academic/gcalctool/README
@@ -0,0 +1,2 @@
+gcalctool is an application that solves mathematical equations and is suitable
+as a default application in a Desktop environment.
diff --git a/academic/gcalctool/doinst.sh b/academic/gcalctool/doinst.sh
new file mode 100644
index 0000000000..0254ea06d8
--- /dev/null
+++ b/academic/gcalctool/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/gcalctool/gcalctool.SlackBuild b/academic/gcalctool/gcalctool.SlackBuild
new file mode 100644
index 0000000000..1ed9dd7761
--- /dev/null
+++ b/academic/gcalctool/gcalctool.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for gcalctool
+
+# Copyright 2010,2011 Robby Workman, Northport, Alabama, USA
+# Copyright 2011 byteframe
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gcalctool
+VERSION=${VERSION:-5.32.2}
+BUILD=${BUILD:-1}
+TAG=${TAG=_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/gcalctool/gcalctool.info b/academic/gcalctool/gcalctool.info
new file mode 100644
index 0000000000..038f4c6dca
--- /dev/null
+++ b/academic/gcalctool/gcalctool.info
@@ -0,0 +1,10 @@
+PRGNAM="gcalctool"
+VERSION="5.32.2"
+HOMEPAGE="http://live.gnome.org/gcalctool"
+DOWNLOAD="ftp://ftp.gnome.org/pub/gnome/sources/gcalctool/5.32/gcalctool-5.32.2.tar.bz2"
+MD5SUM="3f56976752dc990b4fb9e5d60e9a04eb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="byteframe"
+EMAIL="byteframe@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/academic/gcalctool/slack-desc b/academic/gcalctool/slack-desc
new file mode 100644
index 0000000000..d27f21dda5
--- /dev/null
+++ b/academic/gcalctool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gcalctool: gcalctool (a graphical UNIX calculator)
+gcalctool:
+gcalctool: gcalctool is an application that solves mathematical equations and
+gcalctool: is suitable as a default application in a Desktop environment.
+gcalctool:
+gcalctool:
+gcalctool:
+gcalctool:
+gcalctool: homepage: http://live.gnome.org/gcalctool
+gcalctool:
+gcalctool: